Removed the references to "Java 2" from the description of the generated JRE package
[sven/java-package.git] / make-jpkg
index 41899db..f22594a 100755 (executable)
--- a/make-jpkg
+++ b/make-jpkg
@@ -71,9 +71,9 @@ $program_name builds a Debian package from the given Java binary distribution FI
 
 Supported java binary distributions currently include:
   * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
-    - The Java Development Kit (JDK), version 6 (update >= 10), 7
-    - The Java Runtime Environment (JRE), version 6 (update >= 10), 7
-    - The Java API Javadoc, version 6 (update >= 10), 7
+    - The Java Development Kit (JDK), version 6 and 7
+    - The Java Runtime Environment (JRE), version 6 and 7
+    - The Java API Javadoc, version 6 and 7
   (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
 
 The following options are recognized:
@@ -219,6 +219,9 @@ echo
 # get architecture information
 get_architecture
 
+# get browser plugin directories
+get_browser_plugin_dirs
+
 jvm_base="/usr/lib/jvm/"
 javadoc_base="/usr/share/doc/"
 
@@ -232,7 +235,8 @@ done
 echo
 
 if [[ -z "$j2se_found" ]]; then
-    echo "No matching plugin was found."
+    echo "No matching packaging method was found for $archive_name."
+    echo "Please make sure you are using a tar.gz or a self-extracting archive"
 fi